A great linux stuff website

Monthly Archives: June 2013

While login into webmail using webmail horde get the following error:

A fatal error has occurred
Could not connect to database for SQL SessionHandler.

Solution.
1. check for quotas on the cpanelhorde user and remove them, if they exist.
2. Also make sure the permission set on /var/cpanel/userhomes/cpanelhorde is correct.
3. Repair horde database and restart cPanel to fixed issue


such as .eml or .exe extension banned in delivery attachment

Make sure server running cPanel/WHM v11.++,
>> login to the WHM >> Exim Configuration Editor and you’ll find a selection for filtering attachments.
If you don’t want to filter _any_ attachments, disable that option.

If you not require filter SOME attachments but niether all of the ones it filters by default, try something below

# cp -aP /etc/cpanel_exim_system_filter /etc/cpanel_exim_system_filter_modified
Edit the following file, using your favorite Linux Editor such as vi, vim, nano:

# vi /etc/cpanel_exim_system_filter_modified
Remove the types of attachments that Exim filter blocks by default such as: .eml or exe. There would be three instances of each one in that file on pertinent filtering lines. Save that file and then go back to the WHM >> Exim Configuration Editor, and change the System Filter File from:

# /etc/cpanel_exim_system_filter to:
# /etc/cpanel_exim_system_filter_modified

suggestion:
Any changes to the default “System Filter File”, the cPanel will wipe out any changes and put that file back to default.


I have received the email regarding the spamd failing all time, how can I fix that/

Need root login to go in serer to tweak check some spamd logs

Check spamd process if stuck in server
# ps auxfww | grep spamd
Kill spamd Process
# kill -9 PID

Reinstalled the perl module and update spamassasin
# /scripts/perlinstaller –force Digest::SHA1
# /scripts/fixspamassassinfailedupdate
Restart service
# /etc/init.d/chkservd restart


Note: This error usually getting while updating your wordpress website script to newer-version
When you try to upgrade or install a plugin you will get the error:

Solutions:
1. Check if your cPanel server is loading under DSO turn on suPHP for the server and try to update the script will fixed your issue..
2. Try to change the permission to nobody.nobody to upload folder
3. Permission can be reverted to user.user after updated